Page MenuHomePhabricator

[Bug] m.wikidata.org is not CORS whitelisted
Closed, ResolvedPublic

Description

m.wikidata.org is not CORS whitelisted

It was missed in https://gerrit.wikimedia.org/r/#/c/230247/ .

Event Timeline

JanZerebecki raised the priority of this task from to High.
JanZerebecki updated the task description. (Show Details)
JanZerebecki added projects: Wikidata, Regression.
JanZerebecki added subscribers: jeremyb, Matanya, Addshore and 23 others.
Josve05a added a subscriber: Josve05a.
Bene added a subscriber: Bene.Sep 10 2015, 12:25 PM

Is this the reason why I'm not logged in when I switch to the mobile site of Wikidata (after first seeing the desktop version where I'm logged in)? If so this is an important blocker of T110033.

Change 238394 had a related patch set uploaded (by Bene):
Whitelist m.wikidata.org for central auth

https://gerrit.wikimedia.org/r/238394

Bene claimed this task.Sep 15 2015, 9:07 AM
Bene moved this task from Backlog to Review on the Wikidata-Sprint-2015-09-01 board.
Tobi_WMDE_SW set Security to None.
Tobi_WMDE_SW moved this task from Backlog to Review on the Wikidata-Sprint-2015-09-15 board.

Change 238394 merged by jenkins-bot:
Add m.wikidata.org to wgCrossSiteAJAXdomains

https://gerrit.wikimedia.org/r/238394

hoo closed this task as Resolved.Sep 16 2015, 3:09 PM
hoo moved this task from Review to Done on the Wikidata-Sprint-2015-09-15 board.
hoo removed a project: Patch-For-Review.